from matplotlib import pyplot as plt
import numpy as np
import csv

with open("AN_amendements_sessions.csv") as f:
    data = list(csv.DictReader(f))

objects = [row["session"] if i % 2 == 0 else "" for i, row in enumerate(data)]
y_pos = np.arange(len(objects))
performance = [int(row["amendements"]) for row in data]

plt.xkcd()

plt.axvspan(-1, 2.5, facecolor='#ff32be', alpha=0.05)
plt.axvspan(2.5, 7.5, facecolor='#1e1ec8', alpha=0.05)
plt.axvspan(7.5, 12.5, facecolor='#1e1ec8', alpha=0.05)
plt.axvspan(12.5, 17.5, facecolor='#ff32be', alpha=0.05)
plt.axvspan(17.5, 20, facecolor='#e8c505', alpha=0.05)

plt.text(-0.7, 147000, 'Jospin', size="large")
plt.text(2.8, 147000, 'Chirac', size="large")
plt.text(7.8, 147000, 'Sarkozy', size="large")
plt.text(12.8, 147000, 'Hollande', size="large")
plt.text(17.8, 147000, 'Macron', size="large")

plt.text(19.3, -6000, '-> 28 fev 19')

plt.annotate(
    'Privatisation\nde GDF',
    xy=(6.5, 100000), arrowprops=dict(arrowstyle='->'), xytext=(4.5, 80000), size='large', ha='center')

plt.annotate(
    'Ouverture de\nNosDeputes.fr',
    xy=(10, 25000), arrowprops=dict(arrowstyle='->'), xytext=(7.9, 45000), size='x-large')

plt.axhline(y=29549, alpha=0.3, color='#000000', linewidth=0.5, zorder=-1)

plt.bar(y_pos, performance, align='center', alpha=1)

plt.xticks(y_pos, objects)
plt.title('Amendements deposes en seance par session parlementaire', size="xx-large")

plt.show()
